<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:26 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (bookMicroservice 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/example/bookMicroservice/package-tree.html">com.example.bookMicroservice</a>, </li>
<li><a href="com/example/bookMicroservice/beans/package-tree.html">com.example.bookMicroservice.beans</a>, </li>
<li><a href="com/example/bookMicroservice/controller/package-tree.html">com.example.bookMicroservice.controller</a>, </li>
<li><a href="com/example/bookMicroservice/dto/package-tree.html">com.example.bookMicroservice.dto</a>, </li>
<li><a href="com/example/bookMicroservice/exceptions/package-tree.html">com.example.bookMicroservice.exceptions</a>, </li>
<li><a href="com/example/bookMicroservice/mapper/package-tree.html">com.example.bookMicroservice.mapper</a>, </li>
<li><a href="com/example/bookMicroservice/models/package-tree.html">com.example.bookMicroservice.models</a>, </li>
<li><a href="com/example/bookMicroservice/repositories/package-tree.html">com.example.bookMicroservice.repositories</a>, </li>
<li><a href="com/example/bookMicroservice/services/package-tree.html">com.example.bookMicroservice.services</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle"><a href="com/example/bookMicroservice/models/Author.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Author</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">AuthorService</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Book</span></a>
<ul>
<li type="circle"><a href="com/example/bookMicroservice/models/Magazine.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Magazine</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/models/Novel.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Novel</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">BookController</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">BookDto</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">BookDtoMapper</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/BookMicroserviceApplication.html" title="class in com.example.bookMicroservice"><span class="typeNameLink">BookMicroserviceApplication</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">BookService</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">BusinessController</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">BusinessService</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/models/Library.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Library</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/controller/MagazineController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">MagazineController</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/dto/MagazineDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">MagazineDto</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">MagazineDtoMapper</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/services/MagazineService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">MagazineService</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/controller/NovelController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">NovelController</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/dto/NovelDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">NovelDto</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">NovelDtoMapper</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/services/NovelService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">NovelService</span></a></li>
<li type="circle">ResponseEntityExceptionHandler
<ul>
<li type="circle"><a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">RestResponseEntityExceptionHandler</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/beans/SaleBean.html" title="class in com.example.bookMicroservice.beans"><span class="typeNameLink">SaleBean</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/models/Stock.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Stock</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/models/StockKey.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">StockKey</span></a> (implements <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/javax/management/JMException.html?is-external=true" title="class or interface in javax.management"><span class="typeNameLink">JMException</span></a>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/javax/management/OperationsException.html?is-external=true" title="class or interface in javax.management"><span class="typeNameLink">OperationsException</span></a>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/javax/management/InstanceAlreadyExistsException.html?is-external=true" title="class or interface in javax.management"><span class="typeNameLink">InstanceAlreadyExistsException</span></a>
<ul>
<li type="circle"><a href="com/example/bookMicroservice/exceptions/ObjectAlreadyExistsException.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">ObjectAlreadyExistsException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">RuntimeException</span></a>
<ul>
<li type="circle"><a href="com/example/bookMicroservice/exceptions/ObjectNotFoundException.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">ObjectNotFoundException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">QueryByExampleExecutor&lt;T&gt;
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends PagingAndSortingRepository&lt;T,ID&gt;)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle">Repository&lt;T,ID&gt;
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle">CrudRepository&lt;T,ID&gt;
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends PagingAndSortingRepository&lt;T,ID&gt;, QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
<li type="circle">PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">StockRepository</span></a></li>
</ul>
</li>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends PagingAndSortingRepository&lt;T,ID&gt;, QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
<li type="circle">PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle">JpaRepository&lt;T,ID&gt; (also extends QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a></li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a></li>
</ul>
</li>
<li type="circle"><a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">StockRepository</span></a></li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle"><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle"><a href="com/example/bookMicroservice/models/BookCategory.html" title="enum in com.example.bookMicroservice.models"><span class="typeNameLink">BookCategory</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2020. All Rights Reserved.</small></p>
</body>
</html>
